%global seafilever 3.0.4

Name:           libsearpc
Version:        1.2.2
Release:        1%{?dist}
Summary:        RPC library for Seafile

License:        LGPLv3
URL:            https://github.com/haiwen/libsearpc
Source0:        %{url}/archive/v%{seafilever}/%{name}-%{version}.tar.gz

BuildRequires:  automake libtool
BuildRequires:  jansson-devel
BuildRequires:  glib2-devel
BuildRequires:  python2-devel
Requires:       python-simplejson

%description
A simple and easy-to-use C language RPC framework (including both
server side & client side) based on GObject System.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}-%{seafilever}
sed -i -e "/\(DESTDIR\)/d" libsearpc.pc.in

%build
autoreconf -vfi
%configure --disable-static --enable-compile-demo=no
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} \;

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING README.markdown
%{_libdir}/*.so.*
%{_bindir}/searpc-codegen.py
%{python2_sitearch}/pysearpc/

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Tue Jul 01 2014 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.2.2-1
- Initial package. based on Robin Lee work.

* Mon Jan 28 2013 Robin Lee <cheeselee@fedoraproject.org> - 1.0.1-1
- Initial package
